package com.crm.rely.backend.core.pojo.table;

import com.crm.rely.backend.core.pojo.BaseTable;
import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Table;

@Data
@Entity
@Table(name = "sales_commission_manual")
public class SalesCommissionManualTable extends BaseTable {

    private Long salesId;

    private String salesNo;

    private String ym;

    private Float salaryAmount;

    private Float personalVolumeAmount;

    private Float teamVolumeAmount;

    private Float personalKpiAmount;

    private Float teamKpiAmount;

    private Float kpiAmount;
    /**
     * 1: 试用期
     * 2: 转正
     */
    private Integer entryType;

    public static SalesCommissionManualTable getInstance() {
        SalesCommissionManualTable salesCommissionManualTable = new SalesCommissionManualTable();
        salesCommissionManualTable.setSalaryAmount(Float.valueOf(0));
        salesCommissionManualTable.setPersonalVolumeAmount(Float.valueOf(0));
        salesCommissionManualTable.setTeamVolumeAmount(Float.valueOf(0));
        salesCommissionManualTable.setPersonalKpiAmount(Float.valueOf(0));
        salesCommissionManualTable.setTeamKpiAmount(Float.valueOf(0));
        salesCommissionManualTable.setKpiAmount(Float.valueOf(0));
        salesCommissionManualTable.setEntryType(2);
        return salesCommissionManualTable;
    }

}
